Make sure that jjb-cleanup.sh allows unbound vars
[releng/global-jjb.git] / shell / tox-run.sh
index 7abdeea..4738001 100644 (file)
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/bash -l
 # SPDX-License-Identifier: EPL-1.0
 ##############################################################################
 # Copyright (c) 2017 The Linux Foundation and others.
@@ -10,9 +10,6 @@
 ##############################################################################
 echo "---> tox-run.sh"
 
-# shellcheck source=/tmp/v/tox/bin/activate disable=SC1091
-source "/tmp/v/tox/bin/activate"
-
 # Ensure we fail the job if any steps fail.
 # DO NOT set -u as virtualenv's activate script has unbound variables
 set -e -o pipefail
@@ -28,12 +25,24 @@ if [ -d "/opt/pyenv" ]; then
 fi
 
 set +e  # Allow detox to fail so that we can collect the logs in the next step
-if [ ! -z "$TOX_ENVS" ]; then
-    detox -e "$TOX_ENVS"  | tee -a "$ARCHIVE_TOX_DIR/detox.log"
-    detox_status="${PIPESTATUS[0]}"
+
+PARALLEL="${PARALLEL:-true}"
+if [ "${PARALLEL}" = true ]; then
+    if [ ! -z "$TOX_ENVS" ]; then
+        detox -e "$TOX_ENVS"  | tee -a "$ARCHIVE_TOX_DIR/detox.log"
+        tox_status="${PIPESTATUS[0]}"
+    else
+        detox | tee -a "$ARCHIVE_TOX_DIR/detox.log"
+        tox_status="${PIPESTATUS[0]}"
+    fi
 else
-    detox | tee -a "$ARCHIVE_TOX_DIR/detox.log"
-    detox_status="${PIPESTATUS[0]}"
+    if [ ! -z "$TOX_ENVS" ]; then
+        tox -e "$TOX_ENVS"  | tee -a "$ARCHIVE_TOX_DIR/tox.log"
+        tox_status="${PIPESTATUS[0]}"
+    else
+        tox | tee -a "$ARCHIVE_TOX_DIR/tox.log"
+        tox_status="${PIPESTATUS[0]}"
+    fi
 fi
 
 # Disable SC2116 as we want to echo a space separated list of TOX_ENVS
@@ -46,4 +55,4 @@ set -e  # Logs collected so re-enable
 
 echo "Completed tox runs."
 
-test "$detox_status" -eq 0 || exit "$detox_status"
+test "$tox_status" -eq 0 || exit "$tox_status"